#!/bin/sh

#
# (c) 1999-2004 Oracle Corp. all rights reserved
#

if [ -z "${JAVA_HOME}" ]
then
    echo "ERROR!!! You MUST define JAVA_HOME to run this script" 
    exit 1
fi

if [ -z "${IAS_HOME}" ]
then
    echo "ERROR!!! You MUST define IAS_HOME to run this script"
    exit 1
fi

PROXY_LOG_DIR=${IAS_HOME}/wireless/logs
export PROXY_LOG_DIR

PROXY_MODE=standalone
export PROXY_MODE

echo "By default the WDK HTTP listener listens on port 9010"
echo "The WDK URL is: http://hostname:9010/wdk/mcslite"
echo "To change the port number please edit"
echo "${IAS_HOME}/j2ee/OC4J_Wireless/config/wdk-web-site.xml"
echo "file and modify the value of the port attribute."

${JAVA_HOME}/bin/java -server -Xms128M -Xmx512M -DPROXY_LOG_DIR=${PROXY_LOG_DIR} -DPROXY_MODE=${PROXY_MODE} -jar ./j2ee/home/oc4j.jar -config ./j2ee/OC4J_Wireless/config/wdk-server.xml -userThreads
